This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 374031 - FREEBSD does not boot, BTX halted
FREEBSD does not boot, BTX halted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
http://bugzilla.xensource.com/bugzill...
:
: 365451 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 18:09 EST by John Summerfield
Modified: 2009-01-09 02:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:23:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Summerfield 2007-11-09 18:09:36 EST
Description of problem:

FREEBSD's boot loader loops, spewing "BTX halted," and what looks like a
register dump.

I'm running AMD-64-compatible Linux and FREEBSDm but evidence is it's not
confined to this architecture.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download 7.0-BETA2-amd64-bootonly.iso to
/var/lib/xen/images/7.0-BETA2-amd64-bootonly.iso
2. virt-install --name=FreeBSD-7 --ram=384 --vcpus=2
--file=/var/lib/xen/images/FreeBSD_70.img  --file-size=2 --vnc --hvm
--cdrom=/var/lib/xen/images/7.0-BETA2-amd64-bootonly.iso   --os-type=unix
3.
  
Actual results:
Loop as above

Expected results:
Clean boot to installer

Additional info:
This is a well-known problem, has been reported for Xen 3.0 (originally) on
Ubuntu and others and Xen 3.1, and with several versions of FREEBSD and relatives.

In my case, I've already installed Window XP; the commandline above is based on
the Windows one.
Comment 1 Richard W.M. Jones 2007-11-12 06:41:40 EST
FreeBSD 6.2 boots, but doesn't get very far under Xen because of
known problems in qemu (see bug 254176).
Comment 2 John Summerfield 2007-11-12 09:06:13 EST
254176 doesn't look like this one to me. See
http://herakles.homelinux.org/freebsd.png
Comment 3 Richard W.M. Jones 2007-11-12 09:18:57 EST
Apparent upstream bug (I'm currently doing a test install
of m0n0wall to see if I can reproduce it).

http://bugzilla.xensource.com/bugzilla/show_bug.cgi?id=622
Comment 4 Richard W.M. Jones 2007-11-12 09:19:59 EST
John, you say in the bug report that you observed this on FC6test3,
which is a very old release of Fedora (and not supported).  Is this
so and/or can you try this on the newest Fedora?
Comment 5 John Summerfield 2007-11-12 17:44:33 EST
Data entry error. f8t3. 

My system's fully up2date, I produced that screendump yesterday. it doesn't take
long.

Comment 6 John Summerfield 2007-11-16 00:24:29 EST
http://www.freebsd.org/cgi/query-pr.cgi?pr=114826&cat=
Comment 7 Richard W.M. Jones 2007-11-19 10:31:15 EST
*** Bug 365451 has been marked as a duplicate of this bug. ***
Comment 8 Richard W.M. Jones 2008-01-30 13:28:43 EST
This bug still exists in Fedora 8, and it looks like the upstream Xen
bug hasn't been fixed.
Comment 9 Bug Zapper 2008-11-26 03:16:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:23:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.